/***************************************************************************
                      dll.cpp  -  Win32 DLL entry point
                             -------------------
    begin                : Tue Feb 18 2003
    copyright            : (C) 2003 by Reality Rift Studios
    email                : mattias@realityrift.com
 ***************************************************************************

 The contents of this file are subject to the Mozilla Public License Version
 1.1 (the "License"); you may not use this file except in compliance with
 the License. You may obtain a copy of the License at 
 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS" basis,
 WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 for the specific language governing rights and limitations under the
 License.

 The Original Code is the NeoEngine, NeoChunkIO, dll.cpp

 The Initial Developer of the Original Code is Mattias Jansson.
 Portions created by Mattias Jansson are Copyright (C) 2003
 Reality Rift Studios. All Rights Reserved.

 ***************************************************************************/


#ifdef WIN32

#include "base.h"

#define WIN32_LEAN_AND_MEAN
#include <windows.h>


//Win32-specific init for dll loading
BOOL NEOCHUNKIO_API APIENTRY DllMain( HANDLE hModule, DWORD ulReason, LPVOID lpReserved )
{
	switch( ulReason )
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
			break;

		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
	}

	return TRUE;
}


#endif

