/***************************************************************************
               parser.h  -  nVidia register combiners parser
                             -------------------
    begin       : Wed Jan 7 2004
    copyright   : (C) 2004 by Reality Rift Studios
    email       : mattias@realityrift.com
 ***************************************************************************

 The contents of this file are subject to the Mozilla Public License Version
 1.1 (the "License"); you may not use this file except in compliance with
 the License. You may obtain a copy of the License at 
 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS" basis,
 WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 for the specific language governing rights and limitations under the
 License.

 The Original Code is the NeoEngine, NeoDevOpenGL, rcparse/parser.h

 The Initial Developer of the Original Code is Mattias Jansson.
 Portions created by Mattias Jansson are Copyright (C) 2004
 Reality Rift Studios. All Rights Reserved.
 ***************************************************************************/

typedef union {
  int ival;
  float fval;
  NeoOGL::NVRegister registerEnum;
  NeoOGL::NVBiasScale biasScaleEnum;
  NeoOGL::NVMappedRegister mappedRegisterStruct;
  NeoOGL::NVConstColor constColorStruct;
  NeoOGL::NVGeneralPortion generalPortionStruct;
  NeoOGL::NVGeneralFunction generalFunctionStruct;
  NeoOGL::NVOp opStruct;
  NeoOGL::NVGeneralCombiner generalCombinerStruct;
  NeoOGL::NVGeneralCombiners generalCombinersStruct;
  NeoOGL::NVFinalProduct finalProductStruct;
  NeoOGL::NVFinalRgbFunction finalRgbFunctionStruct;
  NeoOGL::NVFinalAlphaFunction finalAlphaFunctionStruct;
  NeoOGL::NVFinalCombiner finalCombinerStruct;
  NeoOGL::NVRegisterCombiners combinersStruct;
} YYSTYPE;
#define	regVariable	257
#define	constVariable	258
#define	color_sum	259
#define	final_product	260
#define	expandString	261
#define	halfBiasString	262
#define	unsignedString	263
#define	unsignedInvertString	264
#define	muxString	265
#define	sumString	266
#define	rgb_portion	267
#define	alpha_portion	268
#define	openParen	269
#define	closeParen	270
#define	openBracket	271
#define	closeBracket	272
#define	semicolon	273
#define	comma	274
#define	dot	275
#define	times	276
#define	minus	277
#define	equals	278
#define	plus	279
#define	bias_by_negative_one_half_scale_by_two	280
#define	bias_by_negative_one_half	281
#define	scale_by_one_half	282
#define	scale_by_two	283
#define	scale_by_four	284
#define	clamp_color_sum	285
#define	lerp	286
#define	fragment_rgb	287
#define	fragment_alpha	288
#define	floatValue	289


extern YYSTYPE ParseResult;
extern NeoOGL::NVRegisterCombiners *pFinalResult;
