#!/bin/sh

builddirs="neoengine neodevopengl neodevalsa neodevarts neofcbzip2 neofczip neoicbmp neoicjpeg neoicpng neoictga neoacwav neoacvorbis neochunkio neoabt neobsp neobrute neogeomip neowtk neolua neonet"

if [ "$1" = "static" ]; then
	echo "*** Building static libraries"
	cp configure.in.static configure.in
	for dir in $builddirs
	do
		cp $dir/Makefile.am.static $dir/Makefile.am
	done
else
	echo "*** Building dynamic libraries"
	cp configure.in.dynamic configure.in
	for dir in $builddirs
	do
		cp $dir/Makefile.am.dynamic $dir/Makefile.am
	done
fi
