/***************************************************************************
                          color.cpp  -  description
                             -------------------
    begin                : Mon Sep 16 2002
    copyright            : (C) 2002 by Reality Rift Studios
    email                : mattias@realityrift.com
 ***************************************************************************

 The contents of this file are subject to the Mozilla Public License Version
 1.1 (the "License"); you may not use this file except in compliance with
 the License. You may obtain a copy of the License at 
 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS" basis,
 WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 for the specific language governing rights and limitations under the
 License.

 The Original Code is the NeoEngine, color.cpp

 The Initial Developer of the Original Code is Mattias Jansson.
 Portions created by Mattias Jansson are Copyright (C) 2002
 Reality Rift Studios. All Rights Reserved.

 ***************************************************************************/

#include "color.h"


namespace NeoEngine
{


//#if !defined( __MINGW32__ ) || defined( BUILD_STATIC )
const NE_STATIC Color Color::BLACK( 0.0f, 0.0f, 0.0f, 1.0f );
const NE_STATIC Color Color::WHITE( 1.0f, 1.0f, 1.0f, 1.0f );
const NE_STATIC Color Color::RED(   1.0f, 0.0f, 0.0f, 1.0f );
const NE_STATIC Color Color::GREEN( 0.0f, 1.0f, 0.0f, 1.0f );
const NE_STATIC Color Color::BLUE(  0.0f, 0.0f, 1.0f, 1.0f );
/*#else
Color Color::BLACK( 0.0f, 0.0f, 0.0f, 1.0f );
Color Color::WHITE( 1.0f, 1.0f, 1.0f, 1.0f );
Color Color::RED(   1.0f, 0.0f, 0.0f, 1.0f );
Color Color::GREEN( 0.0f, 1.0f, 0.0f, 1.0f );
Color Color::BLUE(  0.0f, 0.0f, 1.0f, 1.0f );
#endif*/

//default to RGBA order as OpenGL wants it
unsigned int Color32::s_uiShift[4]     = { 0, 8, 16, 24 };
unsigned int Color32::s_uiComponent[4] = { 0, 1, 2, 3 };


};


