/***************************************************************************
                      vertex.h  -  Basic vertex types
                             -------------------
    begin                : Thu Jul 31 2003
    copyright            : (C) 2003 by Reality Rift Studios
    email                : mattias@realityrift.com
 ***************************************************************************

 The contents of this file are subject to the Mozilla Public License Version
 1.1 (the "License"); you may not use this file except in compliance with
 the License. You may obtain a copy of the License at 
 http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS IS" basis,
 WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 for the specific language governing rights and limitations under the
 License.

 The Original Code is the NeoEngine, vertex.h

 The Initial Developer of the Original Code is Mattias Jansson.
 Portions created by Mattias Jansson are Copyright (C) 2003
 Reality Rift Studios. All Rights Reserved.

 ***************************************************************************/

#include "vertex.h"

namespace NeoEngine
{

VertexDeclaration Vertex::s_kDecl( 1 );
VertexDeclaration NormalVertex::s_kDecl( 2 );
VertexDeclaration DiffuseVertex::s_kDecl( 2 );
VertexDeclaration TexVertex::s_kDecl( 2 );
VertexDeclaration NormalDiffuseVertex::s_kDecl( 3 );
VertexDeclaration NormalTexVertex::s_kDecl( 3 );
VertexDeclaration DiffuseTexVertex::s_kDecl( 3 );
VertexDeclaration NormalDiffuseTexVertex::s_kDecl( 4 );

}; // namespace NeoEngine
